<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_13) on Fri Feb 08 19:40:59 CET 2008 -->
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<TITLE>
org.apache.commons.httpclient.protocol (HttpClient 3.1 API)
</TITLE>

<META NAME="keywords" CONTENT="org.apache.commons.httpclient.protocol package">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">


</HEAD>

<BODY BGCOLOR="white">
<FONT size="+1" CLASS="FrameTitleFont">
<A HREF="../../../../../org/apache/commons/httpclient/protocol/package-summary.html" target="classFrame">org.apache.commons.httpclient.protocol</A></FONT>
<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Interfaces</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="ProtocolSocketFactory.html" title="interface in org.apache.commons.httpclient.protocol" target="classFrame"><I>ProtocolSocketFactory</I></A>
<BR>
<A HREF="SecureProtocolSocketFactory.html" title="interface in org.apache.commons.httpclient.protocol" target="classFrame"><I>SecureProtocolSocketFactory</I></A></FONT></TD>
</TR>
</TABLE>


<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Classes</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="ControllerThreadSocketFactory.html" title="class in org.apache.commons.httpclient.protocol" target="classFrame">ControllerThreadSocketFactory</A>
<BR>
<A HREF="ControllerThreadSocketFactory.SocketTask.html" title="class in org.apache.commons.httpclient.protocol" target="classFrame">ControllerThreadSocketFactory.SocketTask</A>
<BR>
<A HREF="DefaultProtocolSocketFactory.html" title="class in org.apache.commons.httpclient.protocol" target="classFrame">DefaultProtocolSocketFactory</A>
<BR>
<A HREF="Protocol.html" title="class in org.apache.commons.httpclient.protocol" target="classFrame">Protocol</A>
<BR>
<A HREF="ReflectionSocketFactory.html" title="class in org.apache.commons.httpclient.protocol" target="classFrame">ReflectionSocketFactory</A>
<BR>
<A HREF="SSLProtocolSocketFactory.html" title="class in org.apache.commons.httpclient.protocol" target="classFrame">SSLProtocolSocketFactory</A></FONT></TD>
</TR>
</TABLE>


</BODY>
</HTML>
